org.restlet.engine.riap

## Class RiapServerHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Server>
      - - org.restlet.engine.ServerHelper
        - - org.restlet.engine.riap.RiapServerHelper

    public class RiapServerHelper
    extends ServerHelper

Server connector handling RIAP calls. By design, there is only one instance by JVM.

Author:
  Thierry Boileau

### Field Summary

Fields
`static RiapServerHelper` `instance` The unique registered helper.

### Constructor Summary

Constructors
Constructor and Description
`RiapServerHelper(Server server)` Constructor.

### Method Summary

### Methods inherited from class org.restlet.engine.ServerHelper

`handle, setEphemeralPort, setEphemeralPort, stop`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, start, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static RiapServerHelper instance

The unique registered helper.

### Constructor Detail

#### RiapServerHelper

    public RiapServerHelper(Server server)

Constructor.

Parameters:
  `server` - The server to help.